# Uses of Interface
org.eclipse.birt.chart.model.component.Scale

Packages that use Scale
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of Scale in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Scale
Modifier and Type
Method
Description
`Scale`
Scale.`copyInstance()`
`Scale`
ComponentFactory.`createScale()`
Returns a new object of class 'Scale'.
`Scale`
Axis.`getScale()`
Returns the value of the 'Scale' containment reference.
`Scale`
Dial.`getScale()`
Returns the value of the 'Scale' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Scale
Modifier and Type
Method
Description
`void`
Axis.`setScale(Scale value)`
Sets the value of the '`Scale`' containment reference.
`void`
Dial.`setScale(Scale value)`
Sets the value of the '`Scale`' containment reference.

## Uses of Scale in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Scale
Modifier and Type
Class
Description
`class`
`ScaleImpl`
An implementation of the model object ' Scale'.
Methods in org.eclipse.birt.chart.model.component.impl that return Scale
Modifier and Type
Method
Description
`Scale`
ScaleImpl.`copyInstance()`
`Scale`
ComponentFactoryImpl.`createScale()`
`Scale`
AxisImpl.`getScale()`
`Scale`
DialImpl.`getScale()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Scale
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setScale(Scale newScale)`
`void`
DialImpl.`setScale(Scale newScale)`